Skip to main content

Request Network Gallery

Retrieves gallery information (photo list) of network identified by network ID, requires use of API key and sessionId (Header: X-Casambi-Key, X-Casambi-Session).

HTTP Request:

GET https://door.casambi.com/v1/networks/{id}/gallery

Path Parameters:

id: "networkId"

CURL Example:

curl "https://door.casambi.com/v1/networks/NETWORK-ID-HERE/gallery" \
-H "X-Casambi-Session:SESSION-ID-HERE" \
-H "X-Casambi-Key:API-KEY-HERE"
Response Example
[
{
"name": "Photo",
"controls": [],
"image": "iR4aIP3vXcB348Pijif2d4Y7AnowFbdD",
"position": 0
},
{
"name": "Photo",
"controls": [],
"image": "KLejfitLiEFeiUnhak6ID69VzJhvWYER",
"position": 1
}
]